Skip to content

Specs

Finish specs and submit for exec v2 list

PUT /sympheny-app/v2/specs

Requires a Bearer token. SDK method: client.scenarios.prepare_specs_input_files().

This triggers the specs file generation asynchronously. Then poll GET /scenario/{scenarioGuid}/specs-input-file-url until returned presignedUrl is not null

Request body (ScenarioGuidListDto)

Field Type Required Description
scenarioGuids array of string yes

Example request

curl -X PUT "https://eu-north-1-api.sympheny.com/sympheny-app/v2/specs" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "scenarioGuids": [
    "string"
  ]
}'

Responses

Status Description Schema
200 OK ResponseDtoStatus

Example response (200)

{
  "data": {
    "code": "string",
    "desc": "string",
    "message": "string"
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}